List Failed Workflow Runs
List and paginate through all failed workflow runs currently in the DLQ.
curl --request GET \
--url https://qstash-{region}.upstash.io/v2/workflows/dlq \
--header 'Authorization: Bearer <token>'{
"cursor": "<string>",
"messages": [
{
"dlqId": "<string>",
"workflowUrl": "<string>",
"workflowRunId": "<string>",
"workflowCreatedAt": 123,
"url": "<string>",
"method": "<string>",
"header": "<string>",
"body": "<string>",
"bodyBase64": "<string>",
"maxRetries": 123,
"createdAt": 123,
"failureCallback": "<string>",
"callerIP": "<string>",
"label": "<string>",
"labels": [
"<string>"
],
"flowControlKey": "<string>",
"failureFunctionState": "<string>",
"responseStatus": 123,
"responseHeader": "<string>",
"responseBody": "<string>",
"responseBodyBase64": "<string>"
}
]
}Authorization
Bearer authentication header of the form Bearer <token>.
Query parameters
Pagination cursor. If provided, returns the next page of results.
The maximum number of failed workflow runs to return per page.
Filter by starting date in milliseconds (Unix timestamp). This is inclusive.
Filter by ending date in milliseconds (Unix timestamp). This is inclusive.
Filter by workflow URL. Supports multiple values.
Filter by workflow run ID.
Filter by workflow creation timestamp in milliseconds (Unix timestamp).
Filter by label assigned to the workflow run. Supports multiple values. You can pass multiple values to match workflow runs with any of the given labels (OR logic).
Examples:
label=my_labellabel=label_1&label=label_2label=label_1,label_2
Filter by failure function state. Supports multiple values.
| State | Description |
|---|---|
| CALLBACK_INPROGRESS | The failure function is in progress. |
| CALLBACK_SUCCESS | The failure function run successfully. |
| CALLBACK_FAIL | The failure function failed to run. |
| CALLBACK_CANCELED | The failure function was manually canceled |
Filter by IP address of the publisher. Supports multiple values.
Filter by Flow Control Key. Supports multiple values.
Response
200 — List of failed workflow runs
Pagination cursor for the next page. Empty if no more results.
Array of failed workflow messages.
400 — Bad Request
Error message
401 — Unauthorized
Error message
500 — Internal Server Error
Error message